Subject: Re: [spfbis] A proposed reorganization

From: Arthur Thisell <[email-masked]>
Date: Fri, 14 Sep 2012 21:08:53 -0700 (PDT)

I'm trying to keep an open mind about reorganizing the draft, so I haven't responded sooner.

That said, it appears that once again, Scott has said what I would have said, only clearer and less snide.

I do not know the logic Mark Lentczner used when he reorganized Meng's draft, but over all, I think his editing made a significant improvement.  Even things like the ordering of the Received-SPF section and the macro section in draft-lentczner can be easily justified in that macros are less important to most people.

I've seen a lot of programmers who, when given new code to deal with, want to reorganize code so that "it makes sense".   Different people learn stuff different ways, some what to know the results, some want to know the process, some want an over-view.

I'm not convinced that any reorganization would be enough "better" to justify the change.

I'll try sleeping on this, re-read stuff, and make more thoughtful responses tomorrow.

Oh, I William, I really hope you stick around, you were always found your input to be very insightful/rational.